<?php

/**
 * @file
 * File to integrate color module.
 */

// Put the logo path into JavaScript for the live preview.
drupal_add_js(array('color' => array('logo' => theme_get_setting('logo', 'tej'))), 'setting');

$info = array(
  // Available colors and color labels used in theme.
  'fields' => array(
    'base' => t('Main background'),
    'text' => t('Text color'),
    'links' => t('Links color'),
    'userzonebg' => t('User zone background'),
    'userzonetext' => t('User zone text'),
    'userzonelinks' => t('User zone links'),
    'userzoneactivelinks' => t('User zone active links'),
    'brandingzonebg' => t('Branding zone background'),
    'brandingzonetext' => t('Branding zone text'),
    'brandingzonelinks' => t('Branding zone links'),
    'brandingzoneblocktitles' => t('Branding zone block titles'),
    'menuzonebg' => t('Menu zone background'),
    'menuzonelinks' => t('Menu zone links'),
    'menuzoneactivelinks' => t('Menu zone active links'),
    'headerzonetop' => t('Header zone top'),
    'headerzonebottom' => t('Header zone bottom'),
    'headerzonetext' => t('Header zone text'),
    'headerzonelinks' => t('Header zone links'),
    'headerzoneblocktitles' => t('Header zone block titles'),
    'prefacezonebg' => t('Preface zone background'),
    'prefacezonetext' => t('Preface zone text'),
    'prefacezonelinks' => t('Preface zone links'),
    'prefacezoneblocktitles' => t('Preface zone block titles'),
    'contentzonelinks' => t('Content zone links'),
    'contentzoneblocktitles' => t('Content zone block titles'),
    'postscriptzonebg' => t('Postscript zone background'),
    'postscriptzonetext' => t('Postscript zone text'),
    'postscriptzonelinks' => t('Postscript zone links'),
    'postscriptzoneblocktitles' => t('Postscript zone block titles'),
    'footerzonebg' => t('Footer zone background'),
    'footerzonetext' => t('Footer zone text'),
    'footerzonelinks' => t('Footer zone links'),
    'footerzoneblocktitles' => t('Footer zone block titles'),
  ),
  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Blue Lagoon (default)'),
      'colors' => array(
        'base' => '#ffffff',
        'text' => '#3b3b3b',
        'links' => '#0063a0',
        'userzonebg' => '#292928',
        'userzonetext' => '#edeeee',
        'userzonelinks' => '#cbcccb',
        'userzoneactivelinks' => '#fffefe',
        'brandingzonebg' => '#0779be',
        'brandingzonetext' => '#eeedee',
        'brandingzonelinks' => '#fefffe',
        'brandingzoneblocktitles' => '#aaa9aa',
        'menuzonebg' => '#292929',
        'menuzonelinks' => '#cbcccc',
        'menuzoneactivelinks' => '#fffeff',
        'headerzonetop' => '#0779bf',
        'headerzonebottom' => '#48a9e4',
        'headerzonetext' => '#eeeeed',
        'headerzonelinks' => '#fffffe',
        'headerzoneblocktitles' => '#cccbcc',
        'prefacezonebg' => '#fefeff',
        'prefacezonetext' => '#3a3b3b',
        'prefacezonelinks' => '#0062a0',
        'prefacezoneblocktitles' => '#484848',
        'contentzonelinks' => '#0162a0',
        'contentzoneblocktitles' => '#474848',
        'postscriptzonebg' => '#282929',
        'postscriptzonetext' => '#a9aaaa',
        'postscriptzonelinks' => '#cccccb',
        'postscriptzoneblocktitles' => '#a9aaa9',
        'footerzonebg' => '#292829',
        'footerzonetext' => '#aaaaa9',
        'footerzonelinks' => '#cbcbcc',
        'footerzoneblocktitles' => '#a9a9aa',
      ),
    ),
    'firehouse' => array(
      'title' => t('Firehouse'),
      'colors' => array(
        'base' => '#ffffff',
        'text' => '#3b3b3b',
        'links' => '#d6121f',
        'userzonebg' => '#292928',
        'userzonetext' => '#edeeee',
        'userzonelinks' => '#cbcccb',
        'userzoneactivelinks' => '#fffefe',
        'brandingzonebg' => '#cd2d2d',
        'brandingzonetext' => '#eeedee',
        'brandingzonelinks' => '#fefffe',
        'brandingzoneblocktitles' => '#aaa9aa',
        'menuzonebg' => '#292929',
        'menuzonelinks' => '#cbcccc',
        'menuzoneactivelinks' => '#fffeff',
        'headerzonetop' => '#cd2d2d',
        'headerzonebottom' => '#cf3535',
        'headerzonetext' => '#eeeeed',
        'headerzonelinks' => '#fffffe',
        'headerzoneblocktitles' => '#cccbcc',
        'prefacezonebg' => '#fefeff',
        'prefacezonetext' => '#3a3b3b',
        'prefacezonelinks' => '#d6121f',
        'prefacezoneblocktitles' => '#484848',
        'contentzonelinks' => '#d6121f',
        'contentzoneblocktitles' => '#474848',
        'postscriptzonebg' => '#282929',
        'postscriptzonetext' => '#a9aaaa',
        'postscriptzonelinks' => '#cccccb',
        'postscriptzoneblocktitles' => '#a9aaa9',
        'footerzonebg' => '#292829',
        'footerzonetext' => '#aaaaa9',
        'footerzonelinks' => '#cbcbcc',
        'footerzoneblocktitles' => '#a9a9aa',
      ),
    ),
    'ice' => array(
      'title' => t('Ice'),
      'colors' => array(
        'base' => '#ffffff',
        'text' => '#3b3b3b',
        'links' => '#019dbf',
        'userzonebg' => '#292928',
        'userzonetext' => '#edeeee',
        'userzonelinks' => '#cbcccb',
        'userzoneactivelinks' => '#fffefe',
        'brandingzonebg' => '#f5f5f5',
        'brandingzonetext' => '#333333',
        'brandingzonelinks' => '#000000',
        'brandingzoneblocktitles' => '#333333',
        'menuzonebg' => '#292929',
        'menuzonelinks' => '#cbcccc',
        'menuzoneactivelinks' => '#fffeff',
        'headerzonetop' => '#d0d0d0',
        'headerzonebottom' => '#c2c4c5',
        'headerzonetext' => '#333333',
        'headerzonelinks' => '#000000',
        'headerzoneblocktitles' => '#333333',
        'prefacezonebg' => '#fefeff',
        'prefacezonetext' => '#3a3b3b',
        'prefacezonelinks' => '#019dbf',
        'prefacezoneblocktitles' => '#484848',
        'contentzonelinks' => '#019dbf',
        'contentzoneblocktitles' => '#474848',
        'postscriptzonebg' => '#282929',
        'postscriptzonetext' => '#a9aaaa',
        'postscriptzonelinks' => '#cccccb',
        'postscriptzoneblocktitles' => '#a9aaa9',
        'footerzonebg' => '#292829',
        'footerzonetext' => '#aaaaa9',
        'footerzonelinks' => '#cbcbcc',
        'footerzoneblocktitles' => '#a9a9aa',
      ),
    ),
    'plum' => array(
      'title' => t('Plum'),
      'colors' => array(
        'base' => '#ffffff',
        'text' => '#301313',
        'links' => '#9d408d',
        'userzonebg' => '#292928',
        'userzonetext' => '#edeeee',
        'userzonelinks' => '#cbcccb',
        'userzoneactivelinks' => '#fffefe',
        'brandingzonebg' => '#4c1c58',
        'brandingzonetext' => '#eeedee',
        'brandingzonelinks' => '#fefffe',
        'brandingzoneblocktitles' => '#aaa9aa',
        'menuzonebg' => '#292929',
        'menuzonelinks' => '#cbcccc',
        'menuzoneactivelinks' => '#fffeff',
        'headerzonetop' => '#4c1c58',
        'headerzonebottom' => '#593662',
        'headerzonetext' => '#eeeeed',
        'headerzonelinks' => '#fffffe',
        'headerzoneblocktitles' => '#cccbcc',
        'prefacezonebg' => '#fefeff',
        'prefacezonetext' => '#301313',
        'prefacezonelinks' => '#9d408d',
        'prefacezoneblocktitles' => '#484848',
        'contentzonelinks' => '#9d408d',
        'contentzoneblocktitles' => '#474848',
        'postscriptzonebg' => '#282929',
        'postscriptzonetext' => '#a9aaaa',
        'postscriptzonelinks' => '#cccccb',
        'postscriptzoneblocktitles' => '#a9aaa9',
        'footerzonebg' => '#292829',
        'footerzonetext' => '#aaaaa9',
        'footerzonelinks' => '#cbcbcc',
        'footerzoneblocktitles' => '#a9a9aa',
      ),
    ),
    'slate' => array(
      'title' => t('Slate'),
      'colors' => array(
        'base' => '#ffffff',
        'text' => '#3b3b3b',
        'links' => '#0073b6',
        'userzonebg' => '#292928',
        'userzonetext' => '#edeeee',
        'userzonelinks' => '#cbcccb',
        'userzoneactivelinks' => '#fffefe',
        'brandingzonebg' => '#4a4a4a',
        'brandingzonetext' => '#eeedee',
        'brandingzonelinks' => '#fefffe',
        'brandingzoneblocktitles' => '#aaa9aa',
        'menuzonebg' => '#292929',
        'menuzonelinks' => '#cbcccc',
        'menuzoneactivelinks' => '#fffeff',
        'headerzonetop' => '#4a4a4a',
        'headerzonebottom' => '#4e4e4e',
        'headerzonetext' => '#eeeeed',
        'headerzonelinks' => '#fffffe',
        'headerzoneblocktitles' => '#cccbcc',
        'prefacezonebg' => '#fefeff',
        'prefacezonetext' => '#3a3b3b',
        'prefacezonelinks' => '#0073b6',
        'prefacezoneblocktitles' => '#484848',
        'contentzonelinks' => '#0073b6',
        'contentzoneblocktitles' => '#474848',
        'postscriptzonebg' => '#282929',
        'postscriptzonetext' => '#a9aaaa',
        'postscriptzonelinks' => '#cccccb',
        'postscriptzoneblocktitles' => '#a9aaa9',
        'footerzonebg' => '#292829',
        'footerzonetext' => '#aaaaa9',
        'footerzonelinks' => '#cbcbcc',
        'footerzoneblocktitles' => '#a9a9aa',
      ),
    ),
    'grass' => array(
      'title' => t('Grass'),
      'colors' => array(
        'base' => '#ffffff',
        'text' => '#3b3b3b',
        'links' => '#28647f',
        'userzonebg' => '#292928',
        'userzonetext' => '#edeeee',
        'userzonelinks' => '#cbcccb',
        'userzoneactivelinks' => '#fffefe',
        'brandingzonebg' => '#71c031',
        'brandingzonetext' => '#eeedee',
        'brandingzonelinks' => '#fefffe',
        'brandingzoneblocktitles' => '#aaa9aa',
        'menuzonebg' => '#292929',
        'menuzonelinks' => '#cbcccc',
        'menuzoneactivelinks' => '#fffeff',
        'headerzonetop' => '#71c031',
        'headerzonebottom' => '#7dd338',
        'headerzonetext' => '#eeeeed',
        'headerzonelinks' => '#fffffe',
        'headerzoneblocktitles' => '#cccbcc',
        'prefacezonebg' => '#fefeff',
        'prefacezonetext' => '#3a3b3b',
        'prefacezonelinks' => '#28647f',
        'prefacezoneblocktitles' => '#484848',
        'contentzonelinks' => '#28647f',
        'contentzoneblocktitles' => '#474848',
        'postscriptzonebg' => '#282929',
        'postscriptzonetext' => '#a9aaaa',
        'postscriptzonelinks' => '#cccccb',
        'postscriptzoneblocktitles' => '#a9aaa9',
        'footerzonebg' => '#292829',
        'footerzonetext' => '#aaaaa9',
        'footerzonelinks' => '#cbcbcc',
        'footerzoneblocktitles' => '#a9a9aa',
      ),
    ),
  ),

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => array(
    'css/colors.css',
  ),

  // Files to copy.
  'copy' => array(
    'logo.png',
  ),

  // Gradient definitions.
  'gradients' => array(
    array(
      // (x, y, width, height).
      'dimension' => array(0, 0, 0, 0),
      // Direction of gradient ('vertical' or 'horizontal').
      'direction' => 'vertical',
      // Keys of colors to use for the gradient.
      'colors' => array('top', 'bottom'),
    ),
  ),

  // Color areas to fill (x, y, width, height).
  'fill' => array(),

  // Coordinates of all the theme slices (x, y, width, height)
  // with their filename as used in the stylesheet.
  'slices' => array(),

  // Reference color used for blending. Matches the base.png's colors.
  'blend_target' => '#ffffff',

  // Preview files.
  'preview_css' => 'color/preview.css',
  'preview_js' => 'color/preview.js',
  'preview_html' => 'color/preview.html',

  // Base file for image generation.
  'base_image' => 'color/base.png',
);
